Bug 314460 - Copy/Move to collection picks up wrong destination path and fails silently
Summary: Copy/Move to collection picks up wrong destination path and fails silently
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/Organize Files Dialog (show other bugs)
Version: 2.7-git
Platform: Debian unstable Linux
: NOR major (vote)
Target Milestone: 2.8
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-05 15:25 UTC by Thierry Göckel
Modified: 2013-02-12 11:33 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Göckel 2013-02-05 15:25:48 UTC
From IRC:
the copy to collection thing seems broken.. it doesn't get the right destination folder (ums), it just cuts off the first chars of the source path and has that as dest path: /mnt/music/some/file.mp3 -> /nt/music/some/file/mp3

By "silently", I mean the user not getting any indication what failed. I had to check -d console output.

Let me know if you need more info.
Cheers!

Reproducible: Always

Steps to Reproduce:
1. Choose some albums from collection
2. Choose 'copy to collection' from context menu
3.
Actual Results:  
Nothing.

Expected Results:  
Transcode or just copy dialog.
Comment 1 Ralf Engels 2013-02-12 11:33:10 UTC
Git commit acecf407c89dcfd118976b42254efe5e1c37611a by Ralf Engels.
Committed on 11/02/2013 at 20:28.
Pushed by rengels into branch 'master'.

Fix: Copy/Move to collection picks up wrong destination path and fails silently
FIXED-IN: 2.8

M  +1    -1    src/core-impl/collections/umscollection/UmsCollection.cpp
M  +3    -0    src/core-impl/collections/umscollection/UmsCollectionLocation.cpp

http://commits.kde.org/amarok/acecf407c89dcfd118976b42254efe5e1c37611a